#include <bits/stdc++.h>

using namespace std;

int main()
{
    ios::sync_with_stdio(0);
    cin.tie(0);

    long long  p , q, r, L ,R ;

    long long a[3];

    cin >> p >> q >> r >> L >> R;

    a[0] = p;
    a[1] = q;
    a[2] = r;


    sort(a,a+3);

   long long brKomb = 0;


    for(long long i = 1 ; i < 1e3; i++)
    {
            if(ceil((i*1.0)/p) + ceil((i*1.0)/q) + ceil((i*1.0)/r) <= i)
                brKomb++;
    }

    long long razlika = R-L;

    if(a[0] == 2 && a[1] == 3 && a[2] == 6)
    {
        razlika /= 6 ;
        cout << razlika;
        return 0;
    }
    else if (a[0] == 2 && a[1] == 4 && a[2] == 4)
    {
        razlika /= 4;
        cout << razlika;
        return 0;
    }
    else if (a[0] == 3 && a[1] == 3 && a[2] == 3)
    {
        razlika /=  3 ;
        cout << razlika;
        return 0;
    }


    if(!brKomb)
    {
        cout << brKomb;
        return 0;

    }
    else{

        brKomb = 0;

       if(L < 1000)
       {
        long long tmp ;

        if(R < 1000)
            tmp = R;
        else
            tmp = 999;

           for(long long i = L ; i <= tmp; i++)
                {
                if(ceil((i*1.0)/p) + ceil((i*1.0)/q) + ceil((i*1.0)/r) <= i)
                    brKomb++;

                }
       }
       if(R >= 1e3)
       {
           if(L >1000)
           {
               brKomb += R - L +1;
           }
           else
           {
               brKomb += R-999;
           }


       }

    }

    cout << brKomb;

    return 0;
}